Uploaded image for project: 'Sourcetree For Mac'
  1. Sourcetree For Mac
  2. SRCTREE-6394

Input validation vulnerability via Git in Sourcetree for Mac - CVE-2018-17456

    XMLWordPrintable

    Details

    • Last commented by user?:
      true
    • Symptom Severity:
      Critical

      Description

      There was an input validation vulnerability in Sourcetree for macOS via a Git repository with submodules. A remote attacker with permission to commit to a Git repository linked in Sourcetree for macOS is able to able to exploit this issue to gain code execution on the system.

      Affected versions:

      • Versions of Sourcetree for macOS before version 3.1.1 are affected by this vulnerability

      Fix:

      For additional details, see the full advisory: https://confluence.atlassian.com/sourcetreekb/sourcetree-security-advisory-2019-03-06-966678691.html

        Attachments

          Issue Links

            Activity

              People

              Assignee:
              Unassigned
              Reporter:
              ejensby Erin Jensby
              Participants:
              Votes:
              0 Vote for this issue
              Watchers:
              1 Start watching this issue

                Dates

                Due:
                Created:
                Updated:
                Resolved:
                Last commented:
                29 weeks, 6 days ago